import App from './App'
import Vue from 'vue'
import settings from './settings.js'//全局属性

//vuex缓存
import store from './store/index.js'

// uView引入注册
import uView from "uview-ui";
Vue.use(uView);

//网络请求设置
uni.$u.http.setConfig((config) => {
	/* config 为默认全局配置*/
	config.baseURL = settings.baseURL; /* 根域名 */
	return config
})

import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App,
	store
})
app.$mount()